#
# Ľṹ `ppa_administrators`
#

CREATE TABLE IF NOT EXISTS ppa_administrators (
  administratorsID int(30) unsigned NOT NULL auto_increment,
  userGroupID int(6) unsigned NOT NULL default '0',
  administratorsName varchar(100) binary NOT NULL default '',
  nickName varchar(40) NOT NULL default '',
  usersGender int(1) unsigned NOT NULL default '0',
  email varchar(50) binary NOT NULL default '',
  passWord varchar(32) NOT NULL default '',
  isAdmin int(1) unsigned NOT NULL default '0',
  isInit int(1) unsigned NOT NULL default '0',
  isActive int(1) unsigned NOT NULL default '1',
  isAnonymous int(1) unsigned NOT NULL default '0',
  positionID int(6) unsigned NOT NULL default '0',
  nationID int(6) unsigned NOT NULL default '0',
  ageID int(6) unsigned NOT NULL default '0',
  educationID int(6) unsigned NOT NULL default '0',
  etitleID int(6) unsigned NOT NULL default '0',
  politicalID int(6) unsigned NOT NULL default '0',
  experienceID int(6) unsigned NOT NULL default '0',
  lastVisitTime int(11) unsigned NOT NULL default '0',
  loginNum int(6) unsigned NOT NULL default '0',
  loginAddress varchar(15) binary NOT NULL default '',
  loginTime int(11) unsigned NOT NULL default '0',
  createDate int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (administratorsID),
  KEY isAdmin (isAdmin),
  KEY isActive (isActive),
  KEY userGroupID (userGroupID),
  KEY isAnonymous (isAnonymous),
  KEY positionID (positionID),
  KEY nationID (nationID),
  KEY ageID (ageID),
  KEY educationID (educationID),
  KEY politicalID (politicalID),
  KEY experienceID (experienceID),
  KEY etitleID (etitleID),
  KEY usersGender (usersGender)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_administratorslog`
#

CREATE TABLE IF NOT EXISTS ppa_administratorslog (
  administratorsLogID int(50) unsigned NOT NULL auto_increment,
  administratorsID int(30) unsigned NOT NULL default '0',
  operationTitle varchar(255) NOT NULL default '',
  operationIP varchar(32) NOT NULL default '',
  createDate int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (administratorsLogID),
  KEY administratorsID (administratorsID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_administratorsloginlog`
#

CREATE TABLE IF NOT EXISTS ppa_administratorsloginlog (
  administratorsLoginLogID int(4) unsigned NOT NULL auto_increment,
  administratorsName varchar(50) NOT NULL default '',
  passWord varchar(30) NOT NULL default '',
  loginTime int(11) unsigned NOT NULL default '0',
  ipAddress varchar(15) NOT NULL default '',
  isAdminLogin int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (administratorsLoginLogID),
  KEY isAdminLogin (isAdminLogin)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_anonymous`
#

CREATE TABLE IF NOT EXISTS ppa_anonymous (
  anonymousID int(30) unsigned NOT NULL auto_increment,
  schoolID int(6) unsigned NOT NULL default '0',
  administratorsName varchar(20) NOT NULL default '',
  passWord varchar(32) NOT NULL default '',
  loginAddress varchar(15) NOT NULL default '',
  loginTime int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (anonymousID),
  KEY schoolID (schoolID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_answers`
#

CREATE TABLE IF NOT EXISTS ppa_answers (
  answersID int(30) unsigned NOT NULL auto_increment,
  answersName varchar(100) NOT NULL default '',
  surveyID int(20) unsigned NOT NULL default '0',
  assessID int(30) unsigned NOT NULL default '0',
  indicatorsID int(30) unsigned NOT NULL default '0',
  weight float(4,2) unsigned NOT NULL default '0.00',
  optionID int(30) unsigned NOT NULL default '0',
  orderByID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (answersID),
  KEY surveyID (surveyID),
  KEY assessID (assessID),
  KEY indicatorID (indicatorsID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_archiving`
#

CREATE TABLE IF NOT EXISTS ppa_archiving (
  archivingID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  surveyTitle varchar(255) NOT NULL default '',
  surveyName varchar(64) NOT NULL default '',
  administratorsID int(30) unsigned NOT NULL default '0',
  isPublic int(1) unsigned NOT NULL default '1',
  beginTime date NOT NULL default '0000-00-00',
  endTime date NOT NULL default '0000-00-00',
  archivingOwner int(30) unsigned NOT NULL default '0',
  archivingFile varchar(100) NOT NULL default '',
  archivingTime int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (archivingID),
  KEY surveyID (surveyID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_assess`
#

CREATE TABLE IF NOT EXISTS ppa_assess (
  assessID int(30) unsigned NOT NULL auto_increment,
  assessTitle varchar(255) NOT NULL default '',
  surveyID int(20) unsigned NOT NULL default '0',
  isCache int(1) unsigned NOT NULL default '0',
  isWaiting int(1) unsigned NOT NULL default '0',
  waitingTime int(2) unsigned NOT NULL default '0',
  isRequired int(1) unsigned NOT NULL default '1',
  surveyType int(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (assessID),
  KEY surveyType (surveyType)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_base_setting`
#

CREATE TABLE IF NOT EXISTS ppa_base_setting (
  baseSettingID int(1) unsigned NOT NULL auto_increment,
  sendFrom varchar(40) NOT NULL default '',
  sendName varchar(40) NOT NULL default '',
  mailServer varchar(40) NOT NULL default '',
  smtp25 varchar(10) NOT NULL default '25',
  smtpName varchar(40) NOT NULL default '',
  smtpPassword varchar(40) NOT NULL default '',
  isSmtp enum('y','n') NOT NULL default 'n',
  isAllowIP int(1) unsigned NOT NULL default '0',
  license varchar(100) NOT NULL default '',
  licensetime varchar(100) NOT NULL default '',
  isMyData int(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (baseSettingID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_conditions`
#

CREATE TABLE IF NOT EXISTS ppa_conditions (
  conditionsID int(10) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  condOnID int(30) unsigned NOT NULL default '0',
  optionID int(20) unsigned NOT NULL default '0',
  qtnID int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (conditionsID),
  KEY surveyID (surveyID),
  KEY questionID (questionID),
  KEY administratorsID (administratorsID),
  KEY optionID (optionID),
  KEY condOnID (condOnID),
  KEY qtnID (qtnID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_downs`
#

CREATE TABLE IF NOT EXISTS ppa_downs (
  downsID int(3) unsigned NOT NULL auto_increment,
  downsName varchar(100) NOT NULL default '',
  downsContent text NOT NULL,
  filename varchar(100) NOT NULL default '',
  filesize decimal(10,2) NOT NULL default '0.00',
  isPublic enum('y','n') NOT NULL default 'y',
  createDate int(11) unsigned NOT NULL default '0',
  updateDate int(11) unsigned NOT NULL default '0',
  orderByID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (downsID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_eval_school`
#

CREATE TABLE IF NOT EXISTS ppa_eval_school (
  relID int(30) unsigned NOT NULL auto_increment,
  schoolID int(20) unsigned NOT NULL default '0',
  evalerID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (relID),
  KEY evalerID (evalerID),
  KEY schoolID (schoolID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_indexs`
#

CREATE TABLE IF NOT EXISTS ppa_indexs (
  indexsID int(30) unsigned NOT NULL auto_increment,
  indexsName text NOT NULL,
  surveyID int(20) unsigned NOT NULL default '0',
  assessID int(30) unsigned NOT NULL default '0',
  indicatorsID int(30) unsigned NOT NULL default '0',
  weight float(4,2) unsigned NOT NULL default '0.00',
  optionID int(30) unsigned NOT NULL default '0',
  orderByID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (indexsID),
  KEY surveyID (surveyID),
  KEY assessID (assessID),
  KEY indicatorID (indicatorsID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_indicators`
#

CREATE TABLE IF NOT EXISTS ppa_indicators (
  indicatorsID int(30) unsigned NOT NULL auto_increment,
  indicatorsName varchar(100) NOT NULL default '',
  indicatorsNotes text NOT NULL,
  surveyID int(20) unsigned NOT NULL default '0',
  assessID int(30) unsigned NOT NULL default '0',
  weight float(6,2) unsigned default '0.00',
  orderByID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (indicatorsID),
  KEY surveyID (surveyID),
  KEY assessID (assessID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_inp_school`
#

CREATE TABLE IF NOT EXISTS ppa_inp_school (
  relID int(30) unsigned NOT NULL auto_increment,
  schoolID int(20) unsigned NOT NULL default '0',
  inputerID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (relID),
  KEY inputerID (inputerID),
  KEY schoolID (schoolID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_ip_allow`
#

CREATE TABLE IF NOT EXISTS ppa_ip_allow (
  allowIpID int(6) unsigned NOT NULL auto_increment,
  startIP varchar(15) NOT NULL default '',
  endIP varchar(15) NOT NULL default '',
  PRIMARY KEY  (allowIpID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_ip_banned`
#

CREATE TABLE IF NOT EXISTS ppa_ip_banned (
  bannedID int(30) unsigned NOT NULL auto_increment,
  ipAddress varchar(15) NOT NULL default '',
  PRIMARY KEY  (bannedID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question`
#

CREATE TABLE IF NOT EXISTS ppa_question (
  questionID int(30) unsigned NOT NULL auto_increment,
  questionName text NOT NULL,
  questionNotes text NOT NULL,
  alias varchar(100) NOT NULL default '',
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionType int(2) unsigned NOT NULL default '0',
  isPublic int(1) unsigned NOT NULL default '1',
  isRequired int(1) unsigned NOT NULL default '0',
  isRandOptions int(1) unsigned NOT NULL default '0',
  isCheckType int(1) unsigned NOT NULL default '0',
  isSelect int(1) unsigned NOT NULL default '0',
  isLogicAnd int(1) unsigned NOT NULL default '0',
  isColArrange int(1) unsigned NOT NULL default '0',
  perRowCol int(4) unsigned NOT NULL default '0',
  isHaveOther int(1) unsigned NOT NULL default '0',
  otherText varchar(200) NOT NULL default '',
  isNeg int(1) unsigned NOT NULL default '0',
  isHaveWhy int(1) unsigned NOT NULL default '0',
  minOption int(2) unsigned NOT NULL default '0',
  maxOption int(2) unsigned NOT NULL default '0',
  rows int(2) unsigned NOT NULL default '5',
  length int(2) unsigned NOT NULL default '50',
  minSize int(2) unsigned NOT NULL default '0',
  maxSize int(2) unsigned NOT NULL default '2',
  startScale int(1) unsigned NOT NULL default '0',
  endScale int(1) unsigned NOT NULL default '0',
  weight int(2) unsigned NOT NULL default '0',
  orderByID int(30) unsigned NOT NULL default '0',
  PRIMARY KEY  (questionID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionType (questionType),
  KEY isRequired (isRequired),
  KEY isPublic (isPublic)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_checkbox`
#

CREATE TABLE IF NOT EXISTS ppa_question_checkbox (
  question_checkboxID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionOptionID int(10) unsigned NOT NULL default '0',
  optionName varchar(255) NOT NULL default '',
  optionMargin int(4) unsigned NOT NULL default '0',
  optionNameFile varchar(100) NOT NULL default '',
  isExclusive int(1) unsigned NOT NULL default '0',
  isHaveText int(1) unsigned NOT NULL default '1',
  optionSize int(2) unsigned NOT NULL default '20',
  isRequired int(1) unsigned NOT NULL default '1',
  isCheckType int(1) unsigned NOT NULL default '0',
  minOption int(2) unsigned NOT NULL default '0',
  maxOption int(2) unsigned NOT NULL default '0',
  createDate int(11) unsigned NOT NULL default '0',
  orderByID int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (question_checkboxID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_info`
#

CREATE TABLE IF NOT EXISTS ppa_question_info (
  question_infoID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionName text NOT NULL,
  PRIMARY KEY  (question_infoID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_radio`
#

CREATE TABLE IF NOT EXISTS ppa_question_radio (
  question_radioID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionOptionID int(10) unsigned NOT NULL default '0',
  optionName varchar(255) NOT NULL default '',
  optionMargin int(4) unsigned NOT NULL default '0',
  optionNameFile varchar(100) NOT NULL default '',
  isHaveText int(1) unsigned NOT NULL default '1',
  optionSize int(2) unsigned NOT NULL default '20',
  isRequired int(1) unsigned NOT NULL default '1',
  isCheckType int(1) unsigned NOT NULL default '0',
  minOption int(2) unsigned NOT NULL default '0',
  maxOption int(2) unsigned NOT NULL default '0',
  createDate int(11) unsigned NOT NULL default '0',
  orderByID int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (question_radioID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_range_answer`
#

CREATE TABLE IF NOT EXISTS ppa_question_range_answer (
  question_range_answerID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionAnswer varchar(200) NOT NULL default '',
  PRIMARY KEY  (question_range_answerID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_range_option`
#

CREATE TABLE IF NOT EXISTS ppa_question_range_option (
  question_range_optionID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionName text NOT NULL,
  PRIMARY KEY  (question_range_optionID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_rank`
#

CREATE TABLE IF NOT EXISTS ppa_question_rank (
  question_rankID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionName text NOT NULL,
  PRIMARY KEY  (question_rankID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_question_yesno`
#

CREATE TABLE IF NOT EXISTS ppa_question_yesno (
  question_yesnoID int(20) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  optionName varchar(255) NOT NULL default '',
  optionOptionID int(10) unsigned NOT NULL default '0',
  optionSize int(2) unsigned NOT NULL default '20',
  isRequired int(1) unsigned NOT NULL default '0',
  isCheckType int(1) unsigned NOT NULL default '0',
  minOption int(2) unsigned NOT NULL default '0',
  maxOption int(2) unsigned NOT NULL default '0',
  orderByID int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (question_yesnoID),
  KEY surveyID (surveyID),
  KEY administratorsID (administratorsID),
  KEY questionID (questionID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_report_define`
#

CREATE TABLE IF NOT EXISTS ppa_report_define (
  defineID int(10) unsigned NOT NULL auto_increment,
  surveyID int(20) unsigned NOT NULL default '0',
  questionID int(30) unsigned NOT NULL default '0',
  condOnID int(30) unsigned NOT NULL default '0',
  optionID int(20) unsigned NOT NULL default '0',
  qtnID int(20) unsigned NOT NULL default '0',
  condOnID2 int(30) unsigned NOT NULL default '0',
  optionID2 int(20) unsigned NOT NULL default '0',
  qtnID2 int(20) unsigned NOT NULL default '0',
  defineType int(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (defineID),
  KEY surveyID (surveyID),
  KEY questionID (questionID),
  KEY optionID (optionID),
  KEY qtnID (qtnID),
  KEY defineType (defineType),
  KEY condOnID (condOnID),
  KEY condOnID2 (condOnID2),
  KEY optionID2 (optionID2),
  KEY qtnID2 (qtnID2)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_response_group_list`
#

CREATE TABLE IF NOT EXISTS ppa_response_group_list (
  responseGroupListID int(20) unsigned NOT NULL auto_increment,
  value int(20) unsigned NOT NULL default '0',
  valueType int(1) unsigned NOT NULL default '0',
  surveyID int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (responseGroupListID),
  KEY surveyID (surveyID),
  KEY value (value)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_school`
#

CREATE TABLE IF NOT EXISTS ppa_school (
  schoolID int(20) unsigned NOT NULL auto_increment,
  schoolName varchar(254) binary NOT NULL default '',
  cateID varchar(50) binary NOT NULL default '0',
  diyuID int(4) unsigned NOT NULL default '0',
  natureID int(4) unsigned NOT NULL default '0',
  isKey int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (schoolID),
  KEY diyuID (diyuID),
  KEY natureID (natureID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_survey`
#

CREATE TABLE IF NOT EXISTS ppa_survey (
  surveyID int(20) unsigned NOT NULL auto_increment,
  surveyName varchar(64) NOT NULL default '',
  isPublic int(1) unsigned NOT NULL default '1',
  status int(1) unsigned NOT NULL default '0',
  surveyType int(1) unsigned NOT NULL default '0',
  isDefault int(1) unsigned NOT NULL default '0',
  weightValue int(2) unsigned NOT NULL default '0',
  weightSt float(6,2) unsigned NOT NULL default '0.00',
  weightTh float(6,2) unsigned NOT NULL default '0.00',
  weightLd float(6,2) unsigned NOT NULL default '0.00',
  weightDr float(6,2) unsigned NOT NULL default '0.00',
  surveyTitle varchar(255) NOT NULL default '',
  surveySubTitle text NOT NULL,
  surveyInfo text NOT NULL,
  administratorsID int(30) unsigned NOT NULL default '0',
  isCheckIP int(1) unsigned NOT NULL default '1',
  maxIpTime int(6) unsigned NOT NULL default '1000',
  maxResponseNum int(4) unsigned NOT NULL default '0',
  isPreStep int(1) unsigned NOT NULL default '0',
  isWaiting int(1) unsigned NOT NULL default '0',
  waitingTime int(2) unsigned NOT NULL default '10',
  isCache int(1) unsigned NOT NULL default '1',
  beginTime date NOT NULL default '0000-00-00',
  endTime date NOT NULL default '0000-00-00',
  joinTime int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (surveyID),
  KEY administratorsID (administratorsID),
  KEY STATUS (status),
  KEY isPublic (isPublic),
  KEY surveyType (surveyType)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_view_user_list`
#

CREATE TABLE IF NOT EXISTS ppa_view_user_list (
  viewUserListID int(20) unsigned NOT NULL default '0',
  administratorsID int(30) unsigned NOT NULL default '0',
  surveyID int(20) unsigned NOT NULL default '0',
  assessID int(30) unsigned NOT NULL default '0',
  KEY administratorsID (administratorsID),
  KEY surveyID (surveyID),
  KEY assessID (assessID)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Ľṹ `ppa_reward`
#

CREATE TABLE IF NOT EXISTS ppa_reward (
  rewardID int(20) unsigned NOT NULL auto_increment,
  teachersID int(30) unsigned NOT NULL default '0',
  surveyID int(20) unsigned NOT NULL default '0',
  rewardValue varchar(10) binary NOT NULL default '',
  rewardInfo text NOT NULL,
  rewardTime date NOT NULL default '0000-00-00',
  PRIMARY KEY  (rewardID),
  KEY teachersID (teachersID),
  KEY surveyID (surveyID)
) TYPE=MyISAM;
    
# --------------------------------------------------------

#
# Ľṹ `ppa_py_age`
#

CREATE TABLE IF NOT EXISTS ppa_py_age (
  ageID int(5) unsigned NOT NULL auto_increment,
  ageName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (ageID)
) TYPE=MyISAM;

#
# е `ppa_py_age`
#

INSERT INTO ppa_py_age VALUES (1, '20-29');
INSERT INTO ppa_py_age VALUES (2, '30-39');
INSERT INTO ppa_py_age VALUES (3, '40-49');
INSERT INTO ppa_py_age VALUES (4, '>=50');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_cate`
#

CREATE TABLE IF NOT EXISTS ppa_py_cate (
  cateID int(5) unsigned NOT NULL auto_increment,
  cateName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (cateID)
) TYPE=MyISAM;

#
# е `ppa_py_cate`
#

INSERT INTO ppa_py_cate VALUES (1, 'Сѧ');
INSERT INTO ppa_py_cate VALUES (2, 'ѧ');
INSERT INTO ppa_py_cate VALUES (3, 'ְҵ');
INSERT INTO ppa_py_cate VALUES (4, '');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_diyu`
#

CREATE TABLE IF NOT EXISTS ppa_py_diyu (
  diyuID int(5) unsigned NOT NULL auto_increment,
  diyuName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (diyuID)
) TYPE=MyISAM;

#
# е `ppa_py_diyu`
#

INSERT INTO ppa_py_diyu VALUES (1, 'A');
INSERT INTO ppa_py_diyu VALUES (2, 'B');
INSERT INTO ppa_py_diyu VALUES (3, 'C');
INSERT INTO ppa_py_diyu VALUES (4, 'D');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_education`
#

CREATE TABLE IF NOT EXISTS ppa_py_education (
  educationID int(5) unsigned NOT NULL auto_increment,
  educationName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (educationID)
) TYPE=MyISAM;

#
# е `ppa_py_education`
#

INSERT INTO ppa_py_education VALUES (1, 'Сѧ');
INSERT INTO ppa_py_education VALUES (2, 'ѧ');
INSERT INTO ppa_py_education VALUES (3, 'ѧ');
INSERT INTO ppa_py_education VALUES (4, '˶ʿо');
INSERT INTO ppa_py_education VALUES (5, 'ʿо');
INSERT INTO ppa_py_education VALUES (6, 'ʿ');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_etitle`
#

CREATE TABLE IF NOT EXISTS ppa_py_etitle (
  etitleID int(5) unsigned NOT NULL auto_increment,
  etitleName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (etitleID)
) TYPE=MyISAM;

#
# е `ppa_py_etitle`
#

INSERT INTO ppa_py_etitle VALUES (1, 'ְ');
INSERT INTO ppa_py_etitle VALUES (2, 'мְ');
INSERT INTO ppa_py_etitle VALUES (3, '߼ְ');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_experience`
#

CREATE TABLE IF NOT EXISTS ppa_py_experience (
  experienceID int(5) unsigned NOT NULL auto_increment,
  experienceName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (experienceID)
) TYPE=MyISAM;

#
# е `ppa_py_experience`
#

INSERT INTO ppa_py_experience VALUES (1, '<=5');
INSERT INTO ppa_py_experience VALUES (2, '5-15');
INSERT INTO ppa_py_experience VALUES (3, '15-25');
INSERT INTO ppa_py_experience VALUES (4, '25-35');
INSERT INTO ppa_py_experience VALUES (5, '>35');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_nation`
#

CREATE TABLE IF NOT EXISTS ppa_py_nation (
  nationID int(5) unsigned NOT NULL auto_increment,
  nationName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (nationID)
) TYPE=MyISAM;

#
# е `ppa_py_nation`
#

INSERT INTO ppa_py_nation VALUES (1, '');
INSERT INTO ppa_py_nation VALUES (2, '');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_nature`
#

CREATE TABLE IF NOT EXISTS ppa_py_nature (
  natureID int(5) unsigned NOT NULL auto_increment,
  natureName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (natureID)
) TYPE=MyISAM;

#
# е `ppa_py_nature`
#

INSERT INTO ppa_py_nature VALUES (1, '');
INSERT INTO ppa_py_nature VALUES (2, '˽');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_political`
#

CREATE TABLE IF NOT EXISTS ppa_py_political (
  politicalID int(5) unsigned NOT NULL auto_increment,
  politicalName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (politicalID)
) TYPE=MyISAM;

#
# е `ppa_py_political`
#

INSERT INTO ppa_py_political VALUES (1, 'Ա');
INSERT INTO ppa_py_political VALUES (2, 'Ⱥ');
INSERT INTO ppa_py_political VALUES (3, '');

# --------------------------------------------------------

#
# Ľṹ `ppa_py_position`
#

CREATE TABLE IF NOT EXISTS ppa_py_position (
  positionID int(5) unsigned NOT NULL auto_increment,
  positionName varchar(200) binary NOT NULL default '',
  PRIMARY KEY  (positionID)
) TYPE=MyISAM;

#
# е `ppa_py_position`
#

INSERT INTO ppa_py_position VALUES (1, 'Уְ');
INSERT INTO ppa_py_position VALUES (2, 'Уְ');
INSERT INTO ppa_py_position VALUES (3, '󱸸ɲ');


